Page MenuHomeFreeBSD

Add external toolchain ports for aarch64
ClosedPublic

Authored by kan on Apr 6 2017, 1:04 AM.

Details

Summary

This involves copying patch file from lang/gcc6
and minor plist tweaks.

Test Plan

Try to build world with CROSS_TOOLCHAIN=aarch65-gcc

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kan created this revision.Apr 6 2017, 1:04 AM
thompsa edited edge metadata.Apr 6 2017, 3:03 AM

I think you intended to add Andrew Turner instead of me.

kan edited reviewers, added: andrew; removed: thompsa.Apr 6 2017, 4:19 AM
kan added a comment.Apr 6 2017, 4:21 AM

Indeed, corrected.

emaste edited edge metadata.Apr 6 2017, 6:44 PM

I think this is fine, but would like @andrew to confirm.

andreast accepted this revision.Apr 6 2017, 7:09 PM

Looks good.

This revision is now accepted and ready to land.Apr 6 2017, 7:09 PM
andrew edited edge metadata.Apr 6 2017, 11:03 PM

I think this is fine, but would like @andrew to confirm.

I guess it's correct but don't know the internals of gcc well enough.

emaste accepted this revision.Apr 7 2017, 11:56 PM

I accept, but this will require a ports committer to approve for commit.

brooks accepted this revision.Apr 8 2017, 12:14 AM
brooks added a subscriber: brooks.

Looks good to me subject to hooking it up to devel/Makefile as discussed on IRC.

kan updated this revision to Diff 27210.Apr 8 2017, 12:17 AM
kan edited edge metadata.

Add missing devel/Makefile bit

This revision now requires review to proceed.Apr 8 2017, 12:17 AM
kan updated this revision to Diff 27211.Apr 8 2017, 12:19 AM

Remove unrelated bits.

brooks accepted this revision.Apr 8 2017, 12:21 AM

LGTM

This revision is now accepted and ready to land.Apr 8 2017, 12:21 AM
This revision was automatically updated to reflect the committed changes.